Gemfile 2.72 KB
Newer Older
jplang's avatar
jplang committed
1
source 'https://rubygems.org'
2

3
gem "bundler", ">= 1.5.0"
4

maeda's avatar
maeda committed
5
gem "rails", "5.2.3"
maeda's avatar
maeda committed
6
gem "rouge", "~> 3.4.1"
7
gem "request_store", "1.0.5"
8
gem "mini_mime", "~> 1.0.1"
9
gem "actionpack-xml_parser"
10
gem "roadie-rails", "~> 1.3.0"
11
gem "mimemagic"
12
gem "mail", "~> 2.7.1"
maeda's avatar
maeda committed
13
gem "csv", "~> 3.1.1"
maeda's avatar
maeda committed
14
gem "nokogiri", "~> 1.10.0"
maeda's avatar
maeda committed
15
gem "i18n", "~> 1.6.0"
maeda's avatar
maeda committed
16
gem "rbpdf", "~> 1.19.6"
17

18
# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
19
gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]
20 21 22

# Optional gem for LDAP authentication
group :ldap do
23
  gem "net-ldap", "~> 0.16.0"
24 25 26 27
end

# Optional gem for OpenID authentication
group :openid do
28
  gem "ruby-openid", "~> 2.3.0", :require => "openid"
jplang's avatar
jplang committed
29
  gem "rack-openid"
30 31
end

32 33 34 35 36 37 38 39
# Optional gem for exporting the gantt to a PNG file, not supported with jruby
group :rmagick do
  gem "rmagick", "~> 2.16.0"
end

# Optional Markdown support, not for JRuby
group :markdown do
  gem "redcarpet", "~> 3.4.0"
40 41
end

42 43
# Include database gems for the adapters found in the database
# configuration file
44
require 'erb'
45
require 'yaml'
46 47
database_file = File.join(File.dirname(__FILE__), "config/database.yml")
if File.exist?(database_file)
48
  database_config = YAML::load(ERB.new(IO.read(database_file)).result)
49 50 51 52
  adapters = database_config.values.map {|c| c['adapter']}.compact.uniq
  if adapters.any?
    adapters.each do |adapter|
      case adapter
53
      when 'mysql2'
54
        gem "mysql2", "~> 0.5.0", :platforms => [:mri, :mingw, :x64_mingw]
55
      when /postgresql/
56
        gem "pg", "~> 1.1.4", :platforms => [:mri, :mingw, :x64_mingw]
57
      when /sqlite3/
58
        gem "sqlite3", "~> 1.4.0", :platforms => [:mri, :mingw, :x64_mingw]
59
      when /sqlserver/
60
        gem "tiny_tds", "~> 1.0.5", :platforms => [:mri, :mingw, :x64_mingw]
61
        gem "activerecord-sqlserver-adapter", :platforms => [:mri, :mingw, :x64_mingw]
62
      else
jplang's avatar
jplang committed
63
        warn("Unknown database adapter `#{adapter}` found in config/database.yml, use Gemfile.local to load your own database gems")
64 65 66
      end
    end
  else
67
    warn("No adapter found in config/database.yml, please configure it first")
68
  end
69
else
70
  warn("Please configure your config/database.yml first")
71 72 73
end

group :development do
74
  gem "yard"
75 76 77
end

group :test do
78
  gem "rails-dom-testing"
79
  gem "mocha"
80
  gem "simplecov", "~> 0.16.1", :require => false
81
  gem "ffi", platforms: [:mingw, :x64_mingw, :mswin]
82
  # For running system tests
jplang's avatar
jplang committed
83
  gem 'puma', '~> 3.7'
84 85
  gem "capybara", '~> 2.13'
  gem "selenium-webdriver"
86 87
  # RuboCop
  gem 'rubocop', '~> 0.71.0'
88 89
end

90 91
local_gemfile = File.join(File.dirname(__FILE__), "Gemfile.local")
if File.exists?(local_gemfile)
92
  eval_gemfile local_gemfile
jplang's avatar
jplang committed
93 94
end

95
# Load plugins' Gemfiles
96
Dir.glob File.expand_path("../plugins/*/{Gemfile,PluginGemfile}", __FILE__) do |file|
97
  eval_gemfile file
98
end